gdcm::network::NormalizedMessageFactory Class Reference

`#include <gdcmNormalizedMessageFactory.h>`

## Static Public Member Functions

static std::vector< PresentationDataValue > | ConstructNAction (const ULConnection &inConnection, const BaseQuery *inQuery)
static std::vector< PresentationDataValue > | ConstructNCreate (const ULConnection &inConnection, const BaseQuery *inQuery)
static std::vector< PresentationDataValue > | ConstructNDelete (const ULConnection &inConnection, const BaseQuery *inQuery)
static std::vector< PresentationDataValue > | ConstructNEventReport (const ULConnection &inConnection, const BaseQuery *inQuery)
static std::vector< PresentationDataValue > | ConstructNGet (const ULConnection &inConnection, const BaseQuery *inQuery)
static std::vector< PresentationDataValue > | ConstructNSet (const ULConnection &inConnection, const BaseQuery *inQuery)

## Member Function Documentation

## ConstructNAction()

std::vector< PresentationDataValue > gdcm::network::NormalizedMessageFactory::ConstructNAction | ( | const ULConnection & | inConnection,
|  | const BaseQuery * | inQuery )

static

## ConstructNCreate()

std::vector< PresentationDataValue > gdcm::network::NormalizedMessageFactory::ConstructNCreate | ( | const ULConnection & | inConnection,
|  | const BaseQuery * | inQuery )

static

## ConstructNDelete()

std::vector< PresentationDataValue > gdcm::network::NormalizedMessageFactory::ConstructNDelete | ( | const ULConnection & | inConnection,
|  | const BaseQuery * | inQuery )

static

## ConstructNEventReport()

std::vector< PresentationDataValue > gdcm::network::NormalizedMessageFactory::ConstructNEventReport | ( | const ULConnection & | inConnection,
|  | const BaseQuery * | inQuery )

static

## ConstructNGet()

std::vector< PresentationDataValue > gdcm::network::NormalizedMessageFactory::ConstructNGet | ( | const ULConnection & | inConnection,
|  | const BaseQuery * | inQuery )

static

## ConstructNSet()

std::vector< PresentationDataValue > gdcm::network::NormalizedMessageFactory::ConstructNSet | ( | const ULConnection & | inConnection,
|  | const BaseQuery * | inQuery )

static

The documentation for this class was generated from the following file:

- gdcmNormalizedMessageFactory.h